using PlumbingRepairContracts.BindingModels;
using PlumbingRepairContracts.SearchModels;
using PlumbingRepairContracts.ViewModels;

namespace PlumbingRepairContracts.BusinessLogicsContracts
{
	public interface IImplementerLogic
	{
		List<ImplementerViewModel>? ReadList(ImplementerSearchModel? model);

		ImplementerViewModel? ReadElement(ImplementerSearchModel model);

		bool Create(ImplementerBindingModel model);

		bool Update(ImplementerBindingModel model);

		bool Delete(ImplementerBindingModel model);
	}
}
